Kali Release 3.1:  	available free of charge via anonymous ftp from 
			geom.umn.edu (IP address 128.101.25.35).

Authors: 	Nina Amenta 
		   The Geometry Center
		    formerly University of California, Berkeley  
		   (nina@geom.umn.edu)

		Tamara Munzner  (user interface panels)
		   The Geometry Center  
		   (munzner@geom.umn.edu)

		Ed H. Chi  (X Window port and misc. enhancements)
		   The Geometry Center  
		   (chi@geom.umn.edu)

		Stuart Levy (more X porting and more enhancements)
		   The Geometry Center (slevy@geom.umn.edu)

Kali:		an interactive editor for Euclidean symmetry patterns.
		Uses generic X windows plus the X-Forms library.

Kaliprint: 	converts a kali output file into a postscript file.

To run: 	type "kali"
		type "kaliprint outfile > result.ps" or 
		     "kaliprint outfile | lpr"

See also: 	HELP

Packing list:

README 		document (this file)
INSTALLATION	document (how to compile it yourself)
HELP		document (also appears in Info panel)

sun/kali, sun/kaliprint      Solaris binaries
sgi/kali, sgi/kaliprint      SGI (Irix 5 or later) binaries
irix4/kali, irix4/kaliprint  SGI Irix 4 binaries
linux/kali, linux/kaliprint  Linux ELF binaries

Makefile	makefile

data/
weaving.kali	demo pattern
turtles.kali	demo pattern
people.kali	demo pattern

callbacks.c	source: kali
help.h		include (edited HELP): kali
icons.h		include: kali
io.c 		source: kali, kaliprint
io.h		include: kali, kaliprint
kali.c 		source: kali
kali.h		include: kali
main.h		include: kali kaliprint
panel.fd	Form Designer data: kali 
panel.c		source (autogenerated): kali 
panel.h		include (autogenerated): kali 
printmain.c	source: kaliprint
symmetry.c 	source: kali, kaliprint
symmetry.h	include: kali, kaliprint

To compile:	"make all" compiles both.

Changes in version 3.1:

Made to work with beta, no longer alpha, releases of XForms.
XForms comes from T. C. Zhao and Mark Overmars; see INSTALLATION.
Now independent of SGI and of VOGL library.

Selection (with right mouse) and editing works everywhere -- no longer
GL-specific.  Cleaner, less modal interaction -- select and delete segments
in any mode.  Keyboard shortcuts for common operations.
"Save as Postscript" option.

Changes in version 3.0:

Ported to X Windows.  Only SGI version has line editing.

Support for frieze groups, grids, and printing directly from kali
added. 

Changes in version 2.1:

Use most recent Conway notation: "o" means handle, "x" means crosscap.
Start up with simplest (o/p1) not most complex (*632/p6m) group.

Changes in version 2.0:

Lines can now be moved as well as deleted.

A new user interface with an info panel, icons and Conway notation
besides crystallographic notation for each of the 17 groups.  The new
user interface was built using the public domain Forms Library by Mark
Overmars of the University of Utrecht, which is available via
anonymous ftp at archive.cs.ruu.nl.
